# Setup

{% embed url="<https://share.synthesia.io/2cede1dd-1211-452b-8955-6718e95dc054>" %}

## Getting Started

Make use of our npm repository to add it to your node project of choice or Clone the Relysia SDK repository from <https://github.com/kohze/relysiaSDK> to add it locally to your project. Alternatively we also offer a CDN to integrate the Relysia SDK into traditional html pages. &#x20;

```bash
npm i @relysia/sdk
```

Alternatively, install the newest development version via GitHub

```bash
git clone https://github.com/kohze/relysiaSDK
```

## Initialize the Library

Each Relysia SDK interaction starts with getting the Authentication Token. To get a Authentication token, load the Relysia SDK either via NPM or CDN and start with the following lines.

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const RelysiaSDK = require('relysia');

const relysia = new RelysiaSDK();
await relysia.authentication.v1.auth({email: "abc@gmail.com", password: "pass"});
```

{% endtab %}

{% tab title="JavaScript ES6" %}

```javascript
import RelysiaSDK from 'relysia';

const relysia = new RelysiaSDK();
await relysia.auth({email: "abc@gmail.com", password: "pass"});
```

{% endtab %}

{% tab title="HTML" %}

```html
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://cdn.jsdelivr.net/npm/relysia@1.0.6/dist/relysia-sdk.js"></script>
</head>
<body>
  <script>
    const relysia = new RelysiaSDK();
  </script>
</body>
</html>
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
&#x20;Make sure the authentication codes are **not shared publicly**.&#x20;
{% endhint %}

In case you already have the authentication token or serviceId from your firebase frontend application use:

```javascript
const relysia = new RelysiaSDK({authToken: "your authToken", serviceId:"<your serviceId>"})
```

#### Account details

User details are typically an essential part of your user management and platform experience. To access user account details, such as email, name or profile picture, call the `getUserDetails()` function as indicated below.&#x20;

```javascript
const response = await relysia.user.v1.getUserDetails();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.relysia.com/getting-started/setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
